
Figure - Bug #116000
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT2】【蓝牙】蓝牙配对弹框样式与UI设计不符
2023-02-07 18:56 - CD Test赵飞

Status: CLOSED Start date: 2023-02-07

Priority: Normal Due date: 2023-02-10

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-15

Test Type: ST Root cause: 对话框样式未适配 UI。

Description

【前提条件】

1、设备已开机

2、准备一个蓝牙耳机

【测试步骤】

1、进入设置 - 已连接的设备 - 与新设备配对

2、点击搜索到的蓝牙设备名称

【预期结果】

2、弹出蓝牙配对弹框，弹框式样符合UI设计

【实际结果】

2、弹出蓝牙配对弹框，但弹框样式与UI设计不符

【日志】

截图见附件

History

#1 - 2023-02-07 19:25 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-02-08 20:08 - CD FW 曹覃刚

- Due date set to 2023-02-10

#3 - 2023-02-11 16:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180983 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix bluetooth pair dialog style.TC-RID: 1201-0201813IssueID: TS-R-BUG-116000Change-Id: I5044186e1c40f5f25065797cac55a7da440d85f7
#4 - 2023-02-11 16:23 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-11

- Root cause set to 对话框样式未适配 UI。

■ Current conclusion

已处理，代码已入库。

■ My analysis

对话框样式未适配 UI。

■ Next action

测试验证。

#5 - 2023-02-14 14:36 - CD Test赵飞

- File Screenshot_20230214-043606.png added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to CD FW-廖涛

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

蓝牙配对弹框UI已适配，但弹框中的文言在以下两种情况下会显示不全，请修复：

1、蓝牙设备名称太长时

2、系统字体设置为最大时

#6 - 2023-02-15 09:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181751 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix bluetooth pair dialog title display problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-116000Change-Id:

If40f0716cdfef4bec32ccc7b96bf356389cc853e

#7 - 2023-02-15 09:55 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- Fixed Version changed from 2023-02-11 to 2023-02-15

■ Current conclusion

标题显示问题已处理，代码已入库。
■ My analysis

标题展示兼容问题。

■ Next action

测试验证。

#8 - 2023-02-16 11:18 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

验证结果：PASS

文言太长时，超出的文言用“...”代替显示

#9 - 2023-02-16 11:19 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230207-124836.png 339 KB 2023-02-07 CD Test赵飞

0_17_Setting_1_2_蓝牙_配对弹框.png 597 KB 2023-02-07 CD Test赵飞

Screenshot_20230214-043606.png 443 KB 2023-02-14 CD Test赵飞
